AM_CPPFLAGS = -I$(top_builddir)/libtdepim -I$(top_srcdir)/libtdepim -I$(top_srcdir)/libemailfunctions $(all_includes)
AM_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
LDADD = ../libtdepim.la $(LIB_TDECORE)

check_PROGRAMS = testwizard testaddresseelineedit \
                 testaddresseeselector \
                 testutf7decoder \
                 testutf7encoder \
                 test_kregexp \
                 testdateedit \
                 testlinklocator \
                 testkincidencechooser

# disabled because of X dependency
#                 testdistrlist

testwizard_SOURCES = testwizard.cpp myconfig.kcfgc
testaddresseelineedit_SOURCES = testaddresseelineedit.cpp
testaddresseeselector_SOURCES = testaddresseeselector.cpp
testutf7encoder_SOURCES = testutf7encoder2.cpp
testutf7decoder_SOURCES = testutf7decoder.cpp
test_kregexp_SOURCES = test_kregexp.cpp
testdateedit_SOURCES = testdateedit.cpp
testlinklocator_SOURCES = testlinklocator.cpp
#testdistrlist_SOURCES = testdistrlist.cpp
testkincidencechooser_SOURCES = testkincidencechooser.cpp

#TESTS = testdistrlist

METASOURCES = AUTO

#example_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
#example_LDADD = ../libtdepim.la $(LIB_TDECORE)
#example_SOURCES = example.cpp exampleprefs_base.kcfgc

